Name:		bluez-gnome
Version:	0.5
Release:	4%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPL
URL:		http://www.bluez.org/
Source0:	http://bluez.sf.net/download/%{name}-%{version}.tar.gz
Patch1:		bluez-gnome-0.5-visibility.patch
Patch2:		bluez-gnome-0.5-always-icon.patch
Patch3:		bluez-gnome-0.5-owner_changed.patch
Patch4:		bluez-gnome-0.5-exestack.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	s390 s390x

BuildRequires:	dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires:	dbus-glib-devel perl-XML-Parser
Obsoletes:	bluez-pin

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%prep
%setup -q
%patch1 -p0 
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/autostart
sed s/GNOME/KDE/ $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/bt-applet.desktop \
    > $RPM_BUILD_ROOT/%{_datadir}/autostart/bt-applet.desktop
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/bt-applet
%{_sysconfdir}/xdg/autostart/bt-applet.desktop
%{_datadir}/autostart/bt-applet.desktop
%doc README COPYING AUTHORS ChangeLog



%changelog
* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
